Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core
Interface OpenCardConstants

All Known Implementing Classes:
  BasicEMVAppletAccess, CardFileAppID, CardFilePartialAppID, TracerEvent

    public interface OpenCardConstants

Common constants for all OpenCard Framework classes.

Version:
  $Id: OpenCardConstants.java,v 1.1.1.1 1999/10/05 15:34:30 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com), Mike Wendler (mwendler@de.ibm.com)

Field Summary
`static java.lang.String` | `APPID_ENCODING` Encoding used for application identifiers
`static java.lang.String` | `CARD_SERVICE_CACHEPATH` for future usecard service download: path where downloaded archives are cached
`static java.lang.String` | `CARD_SERVICE_CACHETIME` for future usecard service download: seconds downloaded archives are cached
`static java.lang.String` | `CARD_SERVICE_CHECK` for future usecard service download: check signature of downloaded service archive
`static java.lang.String` | `CARD_SERVICE_LISTER_CLASS` for future use: card service download : class implementing service list
`static java.lang.String` | `CARD_SERVICE_REGISTRY_TAG` card service registry tag.
`static java.lang.String` | `CARD_SERVICE_URL` for future use: card service download URL
`static java.lang.String` | `CARD_TERMINAL_REGISTRY_TAG` card terminal registry tag.
`static java.lang.String` | `DEFAULT_OPENCARD_LOADER_CLASSNAME` class name of the default property loader class.
`static java.lang.String` | `OPENCARD_DOTPROPERTIES` alternative properties file default name
`static java.lang.String` | `OPENCARD_PROPERTIES` properties file default name
`static java.lang.String` | `OPENCARD_PROPERTY` Prefix for accessing system properties.
`static int` | `SMARTCARD_REMOVED` SmartCard events 0x002.

Field Detail

### OPENCARD_PROPERTY

    static final java.lang.String OPENCARD_PROPERTY

  Prefix for accessing system properties.

  See Also:
    Constant Field Values

### OPENCARD_PROPERTIES

    static final java.lang.String OPENCARD_PROPERTIES

  properties file default name

  See Also:
    Constant Field Values

### OPENCARD_DOTPROPERTIES

    static final java.lang.String OPENCARD_DOTPROPERTIES

  alternative properties file default name

  See Also:
    Constant Field Values

### DEFAULT_OPENCARD_LOADER_CLASSNAME

    static final java.lang.String DEFAULT_OPENCARD_LOADER_CLASSNAME

  class name of the default property loader class.

  See Also:
    Constant Field Values

### CARD_SERVICE_REGISTRY_TAG

    static final java.lang.String CARD_SERVICE_REGISTRY_TAG

  card service registry tag.

  See Also:
    Constant Field Values

### CARD_TERMINAL_REGISTRY_TAG

    static final java.lang.String CARD_TERMINAL_REGISTRY_TAG

  card terminal registry tag.

  See Also:
    Constant Field Values

### APPID_ENCODING

    static final java.lang.String APPID_ENCODING

  Encoding used for application identifiers

  See Also:
    Constant Field Values

### SMARTCARD_REMOVED

    static final int SMARTCARD_REMOVED

  SmartCard events 0x002.

  See Also:
    Constant Field Values

### CARD_SERVICE_URL

    static final java.lang.String CARD_SERVICE_URL

  for future use: card service download URL

  See Also:
    Constant Field Values

### CARD_SERVICE_LISTER_CLASS

    static final java.lang.String CARD_SERVICE_LISTER_CLASS

  for future use: card service download : class implementing service list

  See Also:
    Constant Field Values

### CARD_SERVICE_CHECK

    static final java.lang.String CARD_SERVICE_CHECK

  for future usecard service download: check signature of downloaded service archive

  See Also:
    Constant Field Values

### CARD_SERVICE_CACHEPATH

    static final java.lang.String CARD_SERVICE_CACHEPATH

  for future usecard service download: path where downloaded archives are cached

  See Also:
    Constant Field Values

### CARD_SERVICE_CACHETIME

    static final java.lang.String CARD_SERVICE_CACHETIME

  for future usecard service download: seconds downloaded archives are cached

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD